#! /usr/bin/env python
#

import sys, time

#  Add the Mp modules directory to the Python module load path.

sys.path[:0] = [ "/opt/mx/lib/mp" ]

import Mp

record_list = Mp.setup_database( "/opt/mx/etc/motor.dat" )

if ( len(sys.argv) != 3 ):
	print ""
	print "Usage:  var.py variable new_value"
	print ""
	sys.exit(0);

variable_name = sys.argv[1]
value_to_send = float( sys.argv[2] )

variable = record_list.get_record( variable_name )

print "Changing Variable %s' to %f " % ( variable_name, value_to_send )

variable.write( value_to_send )

received_value = variable.read()

print "Changed Variable %s' to %f " % ( variable_name, received_value )

